<!doctype html>
<html lang="ru">
<head>
	<title>Страничка разработчика</title>
	<meta charset="utf-8"/>
</head>
<body>
    <h1>TODO</h1>
    <ol>
        <li>Авторизация водителей</li>
        <li>Администрирование водителей</li>
        <li>Хеширование паролей</li>
    </ol>

	<h1>Список запросов</h1>

    <h2>Администратор</h2>
    <ul>
        <li style="color:grey">/adm/auth/login <em></em></li>
        <li>/adm/emptyclient/list <em>список неподтверждённых клиентов</em></li>
        <li>/adm/client/list <em>список клиентов</em></li>
        <li>/adm/client/add <em>добавить клиента</em></li>
        <li>/adm/client/edit <em>редактировать клиента</em></li>
        <li>/adm/client/delete <em>удалить клиента</em></li>
        <li>/adm/employee/list <em>список сотрудников</em></li>
        <li>/adm/employee/add <em>добавить сотрудника</em></li>
        <li>/adm/employee/edit <em>редактировать сотрудника</em></li>
        <li>/adm/emptydriver/list <em>список заявок от водителей</em></li>
        <li>/adm/emptydriver/register <em>зарегистрировать водителя</em></li>
        <li>/adm/driver/list <em>список зарегистрированных водителей</em></li>
    </ul>
    <h2>Водитель</h2>
    <ul>
        <li>/drv/auth/check <em>инициализация аутентификации</em></li>
        <li>/drv/auth/login <em>вход в аккаунт</em></li>
        <li>/drv/delivery/list <em>список невзятых доставок (общий)</em></li>
        <li>/drv/delivery/claim <em>взять доставку</em></li>
        <li>/drv/claim/list <em>список взятых доставок (личный)</em></li>
        <li>/drv/claim/confirm <em>доставка выполнена</em></li>
        <li>/drv/claim/decline <em>доставку не удалось выполнить</em></li>
        <li>/drv/dish/info <em>информация о блюде по ID</em></li>
        <li>/drv/cafe/info <em>информация о кафе по ID</em></li>
    </ul>
    <h2>Клиент</h2>
    <ul>
        <li>/cli/dish/list <em>список блюд</em></li>
        <li>/cli/dish/info <em>информация о блюде по ID</em></li>
        <li>/cli/dishcategory/list <em>список категорий</em></li>
        <li>/cli/maybeorder/list <em>список заказов, которые ожидают подтверждения</em></li>
        <li>/cli/order/list <em>список заказов, которые готовятся</em></li>
        <li>/cli/delivery/list <em>список заказов, которые в пути</em></li>
        <li>/cli/auth/check <em>инициализация аутентификации</em></li>
        <li>/cli/auth/new <em>создание нового аккаунта</em></li>
        <li>/cli/auth/login <em>вход в существующий аккаунт</em></li>
	<li>/cli/info/get <em>получить параметры аккаунта</em></li>
        <li>/cli/info/update <em>изменить параметры аккаунта</em></li>
        <li>/cli/order <em>сделать заказ</em></li>
    </ul>
	<h2>Менеджер</h2>
	<ul>
        <li style="color:grey">/mng/auth/login <em></em></li>
		<li>/mng/cafe/list <em>список всех кафе</em></li>
        <li>/mng/cafe/add <em>добавить кафе</em></li>
        <li>/mng/cafe/edit <em>редактирвать кафе</em></li>
        <li>/mng/shipper/list <em>список поставщиков</em></li>
        <li>/mng/shipper/add <em>добавить поставщика</em></li>
        <li>/mng/shipper/edit <em>редактировать поставщика</em></li>
        <li>/mng/invoice/list <em>список поставок</em></li>
        <li>/mng/invoice/add <em>добавить поставку</em></li>
        <li>/mng/supply/list <em>список продуктов поставки</em></li>
        <li>/mng/supply/setamount <em>изменить кол-во продукта поставки</em></li>
        <li>/mng/foodstuff/list <em>список видов продуктов</em></li>
        <li>/mng/foodstuff/add <em>добавить вид продукта</em></li>
        <li>/mng/foodstuff/edit <em>редактировать вид продукта</em></li>
        <li>/mng/foodstuff/info <em>информация о виде продукта</em></li>
        <li>/mng/measurement/list <em>список едениц измерения</em></li>
        <li>/mng/dish/list <em>список блюд</em></li>
        <li>/mng/dish/add <em>добавить блюдо</em></li>
        <li>/mng/dish/edit <em>редактирвать блюдо</em></li>
        <li>/mng/dish/delete <em>удалить блюдо</em></li>
        <li>/mng/dishcategory/list <em>список категорий блюд</em></li>
        <li>/mng/dishcategory/add <em>добавить категорию</em></li>
        <li>/mng/dishcategory/edit <em>редактировать категорию</em></li>
        <li>/mng/dishcategory/delete <em>удалить категорию</em></li>
        <li>/mng/foodstuffcategory/list <em>список категорий продуктов</em></li>
        <li>/mng/foodstuffcategory/add <em>добавить категорию</em></li>
        <li>/mng/foodstuffcategory/edit <em>редактировать категорию</em></li>
        <li>/mng/foodstuffcategory/delete <em>удалить категорию</em></li>
	</ul>
    <h2>Оператор</h2>
    <ul>
        <li style="color:grey">/opr/auth/login <em></em></li>
        <li>/opr/maybeorder/list <em>список заказов, ожидающих подтверждения (общий)</em></li>
        <li>/opr/maybeorder/claim <em>подтвердить заказ</em></li>
        <li>/opr/maybeorder/delete <em>отклонить заказ</em></li>
        <li>/opr/order/list <em>список подтверждённых заказов (личный по кафе)</em></li>
        <li>/opr/order/ready <em>заказ приготовлен</em></li>
        <li>/opr/dish/info <em>информация о блюде</em></li>
        <li>/opr/dish/list <em>список блюд</em></li>
	<li>/opr/dishcategory/list <em>список категорий блюд</em></li>
        <li>/opr/client/register <em>зарегистрировать клиента</em></li>
        <li>/opr/client/order <em>оформить заказ на номер клиента</em></li>
    </ul>
    <h2>Статистика</h2>
    <ul>
        <li>/stats/order/list <em>история всех доставленных заказов</em></li>
        <li>/stats/warehouse/amounts <em>кол-во продуктов поставки на складах</em></li>
        <li>/stats/supply/list <em>история всех использованных/списанных продуктов поставки</em></li>
        <li style="color:grey">/stats/client/list <em></em></li>
    </ul>
</body>
</html>
